Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.permissionsmanager
Class CPermissionsManagerServantFactory

    java.lang.Object
      org.jasig.portal.channels.permissionsmanager.CPermissionsManagerServantFactory

    public class CPermissionsManagerServantFactory

extends java.lang.Object

CPermissionsManagerServantFactory calling getPermissionsServant will return an instance of the default CPermissionsManagerServant implementation

Version:
  $Revision: 1.9 $
Author:
  Alex Vigdor

Field Summary
`private static CPermissionsManagerServantFactory` | `_instance`
`private static org.apache.commons.logging.Log` | `log`
`private java.util.HashMap` | `servantClasses`

Constructor Summary
`protected` | `CPermissionsManagerServantFactory()` Creates new CPermissionsManagerServantFactory

Method Summary
`(package private) static IServant` | `getPermissionsServant()` put your documentation comment here
`static IServant` | `getPermissionsServant(IPermissible owner, ChannelStaticData staticData, IAuthorizationPrincipal[] principals, java.lang.String[] activities, java.lang.String[] targets)` put your documentation comment here
`protected static IServant` | `getPermissionsServant(java.lang.String name)` put your documentation comment here
`protected IServant` | `getServant(java.lang.String name)` put your documentation comment here
`protected static CPermissionsManagerServantFactory` | `instance()` put your documentation comment here

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### _instance

    private static CPermissionsManagerServantFactory _instance

### servantClasses

    private java.util.HashMap servantClasses

Constructor Detail

### CPermissionsManagerServantFactory

    protected CPermissionsManagerServantFactory()

  Creates new CPermissionsManagerServantFactory

Method Detail

### getPermissionsServant

    static IServant getPermissionsServant()

  put your documentation comment here

  Returns:

### getPermissionsServant

    protected static IServant getPermissionsServant(java.lang.String name)

  put your documentation comment here

  Parameters:
    `name` -
  Returns:

### getPermissionsServant

    public static IServant getPermissionsServant(IPermissible owner,
                                                 ChannelStaticData staticData,
                                                 IAuthorizationPrincipal[] principals,
                                                 java.lang.String[] activities,
                                                 java.lang.String[] targets)
                                          throws PortalException

  put your documentation comment here

  Parameters:
    `owner` -
    `principals` -
    `activities` -
    `targets` -
    `staticData` -
  Returns:
    the permissions servant
  Throws:
    `PortalException`

### getServant

    protected IServant getServant(java.lang.String name)

  put your documentation comment here

  Parameters:
    `name` -
  Returns:

### instance

    protected static CPermissionsManagerServantFactory instance()

  put your documentation comment here

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD